Subject: Re: linux-next: Tree for May 26 (drivers/net/caif)

From: Randy Dunlap <[email-masked]>
Date: Thu, 26 May 2011 14:30:06 -0700

On Thu, 26 May 2011 23:15:34 +0200 Sjur Brændeland wrote:

> Hi Randy,
> 
> [Randy]
> > (not new)
> >
> > drivers/net/caif/caif_serial.c:194: warning: 'return' with no value, in function returning non-void
> > drivers/net/caif/caif_serial.c:202: warning: 'return' with no value, in function returning non-void
> >
> >
> > I'm curious:  how do warnings like this get overlooked?
> > too much noise in the build messages?  or it wasn't overlooked, just ignored?
> 
> The patch introducing this problem is "tty: make receive_buf()
> return the amout of bytes received" by Felipe Balbi <[email-masked]>.
> It seems that this patch has been posted to linux-serial and not to
> the netdev list or the gits net-next-2.6 or net-2.6 that I follow.
> It's probably no excuse, but this problem is news to me.

I see.  Thanks for the explanation.

> Should I post a patch on linux-next anyway for this issue?

You or Felipe should, but he recently sent this note to the USB
mailing list:

"I'll be away until 31st of May on a business travel. Don't expect me to
look into patches during that period."

so it looks like it would better for you to do it, please.

thanks,
---
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***